//monochromatic slime based on id's liquids/slime1 shader
textures/bnw/slime1_grey
	{
	//	*************************************************		
	//	* SLIME Feb 11 1999 				*
	//	* IF YOU CHANGE THIS PLEASE COMMENT THE CHANGE	*
	//	*************************************************	

		// Added to g3map_global texture on May 11, 1999
		qer_editorimage textures/bnw/slime7_grey.tga
		q3map_lightimage textures/bnw/slime7_grey.tga
		q3map_globaltexture
		qer_trans .5

		surfaceparm noimpact
		surfaceparm slime
		surfaceparm nolightmap
		surfaceparm trans		

		q3map_surfacelight 100
		tessSize 32
		cull disable

		deformVertexes wave 100 sin 0 1 .5 .5

		{
			map textures/bnw/slime7c_grey.tga
			tcMod turb .3 .2 1 .05
			tcMod scroll .01 .01
		}
	
		{
			map textures/bnw/slime7_grey.tga
			blendfunc GL_ONE GL_ONE
			tcMod turb .2 .1 1 .05
			tcMod scale .5 .5
			tcMod scroll .01 .01
		}

		{
			map textures/liquids/bubbles.tga
			blendfunc GL_ZERO GL_SRC_COLOR
			tcMod turb .2 .1 .1 .2
			tcMod scale .05 .05
			tcMod scroll .001 .001
		}		

	}

//monochromatic lava based on id's liquids/flatlavahell_1500 shader
textures/bnw/lavahell_grey
{
	// Added to g3map_global texture on May 11, 1999
	qer_editorimage textures/bnw/lavahell_grey.tga
	q3map_globaltexture
	q3map_lightsubdivide 32
	//surfaceparm trans
	//surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 1500
	cull disable
	
//	tesssize 128
//	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1
	
	{
		map textures/bnw/lavahell_grey.tga
		tcMod turb 0 .2 0 .1
	}
       
}

//monochromatic water based on id's liquids/clear_ripple1 shader
textures/bnw/water_grey
	
	{
		qer_editorimage textures/bnw/pool3d_3_grey.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water

		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	
	
		
		{ 
			map textures/bnw/pool3d_5_grey.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/bnw/pool3d_6_grey.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			map textures/bnw/pool3d_3_grey.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}	

		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
	}

//monochromatic sky based on id's skies/pjbasesky_arena1_sky shader
textures/bnw/sky_grey

{
	qer_editorimage textures/bnw/pjbasesky_grey.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256 
	q3map_sun	0.7 0.7 0.7 150 60 85
	q3map_surfacelight 150

	skyparms - 512 -
	
	{
		map textures/bnw/dimclouds_grey.tga
		tcMod scroll 0.01 0.01
		tcMod scale 3 3
		depthWrite
	}
	{
		map textures/bnw/pjbasesky_grey.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll -0.01 -0.01
		tcMod scale 5 5
	}
}

//monochromatic jump pad based on id's bnw/bounce_largeblock3b shader
textures/bnw/jumppad_grey
{

	qer_editorimage textures/bnw/bounce_largeblock3b_grey.tga
	surfaceparm nodamage
	q3map_lightimage textures/bnw/jumppadsmall_grey.tga	
	q3map_surfacelight 400

	
	{
		map textures/bnw/bounce_largeblock3b_grey.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	
	{
		map textures/bnw/bouncepad01b_layer1_grey.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/bnw/jumppadsmall_grey.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}

}

//monochromatic light based on id's gothic_light/pentagram_light1_10K shader
//I've reduced the light level to 8K
textures/bnw/light1_8K_grey
{
	qer_editorimage textures/bnw/light1_grey.tga
	q3map_surfacelight 8000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/bnw/light1_grey.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

	
	{
		map textures/bnw/light1_blend_grey.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .8 .2 0 1
	}

	
}

//monochromatic banner based on id's base_wall/protobanner shader
textures/bnw/banner_grey
{
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     tessSize 64
     deformVertexes wave 30 sin 0 3 0 .2
     deformVertexes wave 100 sin 0 3 0 .7
     
        {
                map textures/bnw/banner_grey.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}


}

//based on id's proto2/cheapfloor shader
textures/bnw/marbfloor
{
        qer_editorimage textures/bnw/marble_floor_grey.tga

	{
		map textures/base_trim/tin.tga
                //tcGen environment
                //tcmod scale .5 .5
                tcGen environment
                rgbGen identity
		
	}
        {
               map textures/bnw/marble_floor_grey.tga
	       blendFunc blend
               rgbGen identity
        }
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}

//based on id's proto2/marble02b_s shader
textures/bnw/marbshiny
{    
	qer_editorimage textures/bnw/marble_s_grey.tga
	surfaceparm	metalsteps	   
        
        {
		map textures/effects/tinfx2.tga
                tcGen environment
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
        {
		map textures/bnw/marble_s_grey.tga
                blendFunc blend
		rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

//monochromatic flames based on id's sfx/flame1 shader
textures/bnw/flame_grey
{

	//	*************************************************
	//	*      	Yellow Flame 				*
	//	*      	April 30 1999 Surface Light 7500	*	
	//	*	Please Comment Changes			*
	//	*************************************************
	
	qer_editorimage textures/bnw/flame1_grey.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	q3map_surfacelight 2500
	

	{
		animMap 10 textures/bnw/flame1_grey.tga textures/bnw/flame2_grey.tga textures/bnw/flame3_grey.tga textures/bnw/flame4_grey.tga textures/bnw/flame5_grey.tga textures/bnw/flame6_grey.tga textures/bnw/flame7_grey.tga textures/bnw/flame8_grey.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/bnw/flame2_grey.tga textures/bnw/flame3_grey.tga textures/bnw/flame4_grey.tga textures/bnw/flame5_grey.tga textures/bnw/flame6_grey.tga textures/bnw/flame7_grey.tga textures/bnw/flame8_grey.tga textures/bnw/flame1_grey.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/bnw/flameball_grey.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}

//more monochromatic flames based on id's sfx/flame1side shader
textures/bnw/flameside_grey
{

	//	*************************************************
	//	*      	Yellow Flame Side			*
	//	*      	April 30 1999				*	
	//	*	Please Comment Changes			*
	//	*************************************************
	
		qer_editorimage textures/bnw/flame1_grey.tga
		surfaceparm trans
		surfaceparm nomarks
		surfaceparm nonsolid
	
		surfaceparm nolightmap
		cull none

	{
		animMap 10 textures/bnw/flame1_grey.tga textures/bnw/flame2_grey.tga textures/bnw/flame3_grey.tga textures/bnw/flame4_grey.tga textures/bnw/flame5_grey.tga textures/bnw/flame6_grey.tga textures/bnw/flame7_grey.tga textures/bnw/flame8_grey.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/bnw/flame2_grey.tga textures/bnw/flame3_grey.tga textures/bnw/flame4_grey.tga textures/bnw/flame5_grey.tga textures/bnw/flame6_grey.tga textures/bnw/flame7_grey.tga textures/bnw/flame8_grey.tga textures/bnw/flame1_grey.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/bnw/flameball_grey.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}

//monochromatic blue static based on id's sfx/proto_zzztblu3 shader
textures/bnw/zzzt_grey
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull twosided
	{
		map textures/bnw/zzzt_grey.tga
		tcGen environment
                tcMod turb 0 0.25 0 0.5
                tcmod scroll 1 1
		blendfunc GL_ONE GL_ONE
	}
}

//monochromatic electrical arc based on id's sfx/zap_scroll1000 texture
textures/bnw/zap_grey
{
        q3map_surfacelight	1000
        surfaceparm	trans
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_lightimage textures/bnw/scroll_grey.tga
	qer_editorimage textures/bnw/scroll2_grey.tga
	cull none
	
	{
		map textures/bnw/scroll_grey.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle .8 2 0 7
                tcMod scroll 0 1
	}	
        {
		map textures/bnw/scroll_grey.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle 1 1.4 0 5
                tcMod scale  -1 1
                tcMod scroll 0 1
	}	
        {
		map textures/bnw/scroll2_grey.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle 1 1.4 0 6.3
                tcMod scale  -1 1
                tcMod scroll 2 1
	}	
        {
		map textures/bnw/scroll2_grey.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle 1 1.4 0 7.7
                tcMod scroll -1.3 1
	}	
}

//modified from id's base_floor/pjgrate2 texture
textures/bnw/grate2_grey
{
	surfaceparm	metalsteps		
	cull none

	{
		map textures/bnw/grate2_grey.tga
		tcMod scale 2.0 2.0
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}

textures/bnw/grate_grey
{
	surfaceparm	metalsteps		
	cull none

	{
		map textures/bnw/grate_grey.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
		alphaFunc GT0
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		depthFunc equal
	}
}